# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import glob


def update_package():
    # Declaring local variables
    package_updated = False

    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()

    latest_bin = (
        wgets("https://s3.amazonaws.com/download.cacher.io/latest.yml", proxies=proxies)
        .decode("utf-8")
        .split("  - url: ")[1]
        .split("\n")[0]
    )
    download_url = "https://s3.amazonaws.com/download.cacher.io/" + latest_bin
    version = latest_bin.split(" ")[-1].rsplit(".exe")[0]

    # Downloading latest binaries
    print("Download URL is: %s" % download_url)
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, proxies=proxies)
        package_updated = True
    else:
        print("Binary is present: %s" % latest_bin)

    # Deleting outdated binaries
    for f in glob.glob("*.exe"):
        if f != latest_bin:
            remove_file(f)

    version = get_version_from_binary(latest_bin)
    # Mettre à jour le package
    control.set_software_version(version)
    control.save_control_to_wapt()
